bug-coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

new test, specifically for chmod bug fix


From: Jim Meyering
Subject: new test, specifically for chmod bug fix
Date: Wed, 20 Sep 2006 14:41:39 +0200

I've added a new test, specifically for the chmod bug.

2006-09-20  Jim Meyering  <address@hidden>

        * tests/chmod/inaccessible: New test, specifically for this bug.
        Based on a test case from Paul Eggert.
        * tests/chmod/Makefile.am (TESTS): Add inaccessible.

Index: tests/chmod/inaccessible
===================================================================
RCS file: tests/chmod/inaccessible
diff -N tests/chmod/inaccessible
--- /dev/null   1 Jan 1970 00:00:00 -0000
+++ tests/chmod/inaccessible    20 Sep 2006 12:33:34 -0000
@@ -0,0 +1,47 @@
+#!/bin/sh
+# Test for the bug fixed on 2006-09-20.
+
+# Copyright (C) 2006 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+if test "$VERBOSE" = yes; then
+  set -x
+  chmod --version
+fi
+
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap '(exit $?); exit $?' 1 2 13 15
+
+framework_failure=0
+mkdir -p $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+
+mkdir -p d/e
+chmod 0 d/e d
+
+if test $framework_failure = 1; then
+  echo "$0: failure in testing framework" 1>&2
+  (exit 1); exit 1
+fi
+
+fail=0
+
+chmod u+rwx d d/e || fail=1
+
+(exit $fail); exit $fail
Index: tests/chmod/Makefile.am
===================================================================
RCS file: /fetish/cu/tests/chmod/Makefile.am,v
retrieving revision 1.11
diff -u -r1.11 Makefile.am
--- tests/chmod/Makefile.am     3 Jul 2006 12:55:25 -0000       1.11
+++ tests/chmod/Makefile.am     20 Sep 2006 12:36:25 -0000
@@ -1,7 +1,17 @@
 ## Process this file with automake to produce Makefile.in -*-Makefile-*-.
 AUTOMAKE_OPTIONS = 1.4 gnits

-TESTS = octal no-x equals equal-x c-option setgid umask-x usage
+TESTS = \
+  inaccessible \
+  c-option \
+  equal-x \
+  equals \
+  no-x \
+  octal \
+  setgid \
+  umask-x \
+  usage
+
 EXTRA_DIST = $(TESTS)
 TESTS_ENVIRONMENT = \
   PATH="$(VG_PATH_PREFIX)`pwd`/../../src$(PATH_SEPARATOR)$$PATH"




reply via email to

[Prev in Thread] Current Thread [Next in Thread]